/*
================================ COPYRIGHT ================================
The contents of this file are subject to the VTech Informations Ltd. License
of VT-OS Ver. 1.1 operating system (the "License"); you may not use this 
file except in compliance with the License.  
 
Software distributed under the License is distributed on an "AS IS" basis, 
WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License 
for the specific language governing rights and limitations under the License.
 
The Original Code is VT-OS Ver. 1.1 Operating System, released 
on October 1st, 1999

The Initial Developer of the Original Code is VTech Informations Ltd.  All 
codes are Copyright (C) VTech Informations Ltd. 1999.  All Rights Reserved.
===========================================================================
*/

/*
===========================================================================
File        :   siopopup.h
Author(s)   :   Henry Fok
Company     :   VTech Informations Ltd.
Project     :   Helio 
Date:	    :   October 1st, 1999
Purpose:	:   header file for SIO Popup
Revision    :   1.1
Note        :   None
===========================================================================
*/              


#ifndef	_SIOPOPUP_H_
#define _SIOPOPUP_H_

#include "ui.h"
#include "uifunc.h"
#include "mmu.h"

//========= Application Handle Event Function ====================
void	SIOPopupInit();
BOOLEAN SIOPopupHandleEvent(EvtType *Event);

void 	SIOPopupRestoreRunningApp();
void 	SIOPopupRestoreRunningApp1();

void 	SIOPopupRestorePreviousFormStatus();
void	SIOPopupReset();
void	SIOPopupPopup();

#endif
